common_config:
  check_rules:
    - vtkdiff:
        files: ["*.vtu"]
    - ndiff:
        files: ["*.pvd", "*.txt", "*.yaml", "*.msh"]

test_cases:
- files:
  - 01_user_defined_units.yaml
  - 02_multifield_units.yaml
  - 05_interpolation_large_cube.yaml
  - 08_field_init_check.yaml
  - 09_include_file.yaml
  - 10_include_csv.yaml
  - 11_time_unit_conversion.yaml
  - 12_time_unit_nested_equation.yaml
  - 13_time_steps_func.yaml
  - 14_time_steps_func_include.yaml
  - 16_user_fields.yaml
  - 17_tg_global_time_unit.yaml
  - 27_FE_equivalent_mesh.yaml
  - 28_FE_identic_mesh.yaml
  proc: [1]
  
  
- files: 04_interpolated.yaml
#  proc: [1, 2, 3]
  proc: [1]
  memory_limit: 2000

- files: 
   - 03_field_descriptors.yaml
   - 06_bulk_interpolated.yaml
   - 07_bulk_interpolation_cube.yaml
   - 15_formula.yaml
   - 21_fields_FE_native.yaml
   - 22_elementwise_fields.yaml
   - 23_elementwise_bc.yaml
   - 24_elementwise_integer_field.yaml
   - 26_empty_region.yaml
  proc: [1, 2]

# Temporary turn off native input/output tests
- files:
    - 25_elementwise_anisotropy.yaml
  proc: []
